%define libgcrypt_version 1.2.4

%define major 26
%define sslmajor 27
%define libname %mklibname %{name} %{major}
%define libssl %mklibname %{name}-ssl %{sslmajor}
%define libname_orig lib%{name}
%define develname %mklibname %{name} -d

Summary:	Library providing a secure layer (SSL)
Name:		gnutls
Version:	2.12.7
Release:	%mkrel 1
License:	GPLv2+ and LGPLv2+
Group:		System/Libraries
URL:		http://www.gnutls.org
Source0:	http://ftp.gnu.org/pub/gnu/gnutls/%{name}-%{version}.tar.bz2
Source1:	http://ftp.gnu.org/pub/gnu/gnutls/%{name}-%{version}.tar.bz2.sig
Patch0:		gnutls-2.12.7-dsa-skiptests.patch
BuildRequires:	liblzo-devel
BuildRequires:	libgcrypt-devel >= %{libgcrypt_version}
BuildRequires:	libtasn1-devel >= 0.3.4
%ifnarch %arm %mips
BuildRequires:	valgrind
%endif
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
GnuTLS is a project that aims to develop a library which provides 
a secure layer, over a reliable transport layer.

%package -n %{libname}
Summary:	Library providing a secure layer (SSL)
Group:		System/Libraries
Provides:	%{libname_orig} = %{version}-%{release}

%description -n	%{libname}
GnuTLS is a project that aims to develop a library which provides
a secure layer, over a reliable transport layer.

%package -n %{libssl}
Summary:        Library providing a secure layer (SSL)
Group:          System/Libraries
Provides:       %{libname} = %{version}-%{release}

%description -n %{libssl}
GnuTLS is a project that aims to develop a library which provides
a secure layer, over a reliable transport layer.

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{name} = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libssl} = %{version}-%{release}
Provides:	%{libname_orig}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	libgcrypt-devel >= %{libgcrypt_version}
Obsoletes:	%mklibname %{name} 13 -d

%description -n	%{develname}
GnuTLS is a project that aims to develop a library which provides
a secure layer, over a reliable transport layer.

This package contains all necessary files to compile or develop
programs/libraries that use %{name}.

%prep
%setup -q
%patch0 -p1

%build
%configure2_5x \
	--with-included-libtasn1=no \
	--with-included-libcfg=yes \
	--with-lzo \
	--with-libz-prefix=%{_prefix} \
	--with-libgcrypt \
	--with-libgcrypt-prefix=%{_prefix} \
	--with-libtasn1-prefix=%{_prefix} \
%ifnarch %arm %mips
	--enable-valgrind-tests \
%endif
	--disable-rpath \
	--disable-guile

%make

%check
make check

%install
rm -rf %{buildroot}
%makeinstall_std

%{find_lang} %{name} %{name} libgnutls

%clean
rm -rf %{buildroot}

%post
%_install_info gnutls.info

%if %mdkversion < 200900
%post -p /sbin/ldconfig -n %{libname}
%endif

%postun
%_remove_install_info gnutls.info

%if %mdkversion < 200900
%postun -p /sbin/ldconfig -n %{libname}
%endif

%files -f %{name}.lang 
%defattr(-,root,root)
%doc NEWS README
%{_bindir}/[cgs]*
%{_bindir}/psktool
%{_bindir}/p11tool
%{_mandir}/man?/*
%{_infodir}/*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/lib*.so.%{major}*

%files -n %{libssl}
%defattr(-,root,root)
%{_libdir}/lib*.so.%{sslmajor}*

%files -n %{develname}
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/pkgconfig/*.pc
%{_includedir}/gnutls


%changelog
* Sun Jul 10 2011 Funda Wang <fwang@mandriva.org> 2.12.7-1mdv2011.0
+ Revision: 689430
- Skip tests that are expected to fail on libgcrypt build
- Skip tests that are expected to fail on libgcrypt build
- update to new version 2.12.7
- update to new version 2.12.6.1

* Wed May 18 2011 Funda Wang <fwang@mandriva.org> 2.12.5-1
+ Revision: 676053
- update to new version 2.12.5

* Sat May 07 2011 Funda Wang <fwang@mandriva.org> 2.12.4-1
+ Revision: 672316
- add sig
- update to new version 2.12.4

* Mon Apr 25 2011 Funda Wang <fwang@mandriva.org> 2.12.3-1
+ Revision: 658402
- new version 2.12.3

* Sat Apr 16 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 2.12.2-2
+ Revision: 653605
- drop requires on opencdk

  + Funda Wang <fwang@mandriva.org>
    - new version 2.12.2

* Mon Apr 04 2011 Funda Wang <fwang@mandriva.org> 2.12.1-1
+ Revision: 650187
- New version 2.12.1

* Sun Mar 13 2011 Funda Wang <fwang@mandriva.org> 2.10.5-1
+ Revision: 644416
- update to new version 2.10.5

* Tue Dec 07 2010 Sandro Cazzaniga <kharec@mandriva.org> 2.10.4-1mdv2011.0
+ Revision: 614395
- new version 2.10.4

* Sun Nov 21 2010 Funda Wang <fwang@mandriva.org> 2.10.3-1mdv2011.0
+ Revision: 599501
- new version 2.10.3

* Sat Oct 16 2010 Funda Wang <fwang@mandriva.org> 2.10.2-1mdv2011.0
+ Revision: 585921
- new version 2.10.2

* Sun Jul 25 2010 Sandro Cazzaniga <kharec@mandriva.org> 2.10.1-1mdv2011.0
+ Revision: 559776
- update to 2.10.1

* Sat Jul 10 2010 Funda Wang <fwang@mandriva.org> 2.10.0-1mdv2011.0
+ Revision: 549968
- New version 2.10.0

* Sat Mar 20 2010 Emmanuel Andry <eandry@mandriva.org> 2.8.6-1mdv2010.1
+ Revision: 525446
- New version 2.8.6

* Fri Nov 06 2009 Funda Wang <fwang@mandriva.org> 2.8.5-1mdv2010.1
+ Revision: 461828
- add sig
- new version 2.8.5

* Tue Oct 06 2009 Thierry Vignaud <tv@mandriva.org> 2.8.4-3mdv2010.0
+ Revision: 454737
- do not package huge ChangeLog

* Fri Sep 25 2009 Olivier Blin <oblin@mandriva.com> 2.8.4-2mdv2010.0
+ Revision: 448974
- disable valgrind for mips & arm (from Arnaud Patard)

* Sun Sep 20 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 2.8.4-1mdv2010.0
+ Revision: 444963
- update to new version 2.8.4

* Thu Aug 13 2009 Emmanuel Andry <eandry@mandriva.org> 2.8.3-1mdv2010.0
+ Revision: 416093
- New version 2.8.3

* Wed Aug 12 2009 Emmanuel Andry <eandry@mandriva.org> 2.8.2-1mdv2010.0
+ Revision: 415669
- New version 2.8.2
- drop P1 (merged upstream)

* Tue Jul 07 2009 Eugeni Dodonov <eugeni@mandriva.com> 2.8.1-2mdv2010.0
+ Revision: 393087
- Added upstream patch to fix EAGAIN happening too often.

* Thu Jun 11 2009 Frederik Himpe <fhimpe@mandriva.org> 2.8.1-1mdv2010.0
+ Revision: 385184
- Update to new version 2.8.1

* Fri May 29 2009 Funda Wang <fwang@mandriva.org> 2.8.0-1mdv2010.0
+ Revision: 381086
- New version 2.8.0

* Fri May 01 2009 Funda Wang <fwang@mandriva.org> 2.6.6-1mdv2010.0
+ Revision: 369945
- New version 2.6.6

* Tue Feb 10 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 2.6.4-1mdv2009.1
+ Revision: 339088
- update to new version 2.6.4

* Tue Dec 16 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 2.6.3-1mdv2009.1
+ Revision: 315015
- update to new version 2.6.3

* Tue Dec 16 2008 Oden Eriksson <oeriksson@mandriva.com> 2.6.2-2mdv2009.1
+ Revision: 314900
- added the rediffed fuzzy patch
- rebuild

* Fri Nov 14 2008 Funda Wang <fwang@mandriva.org> 2.6.2-1mdv2009.1
+ Revision: 302959
- New version 2.6.2

* Tue Nov 11 2008 Funda Wang <fwang@mandriva.org> 2.6.1-1mdv2009.1
+ Revision: 302030
- New version 2.6.1

* Wed Oct 22 2008 Funda Wang <fwang@mandriva.org> 2.6.0-1mdv2009.1
+ Revision: 296359
- New version 2.6.0

* Sat Oct 11 2008 Funda Wang <fwang@mandriva.org> 2.4.2-1mdv2009.1
+ Revision: 291789
- New version 2.4.2
- patch0 merged upstream

* Sun Jul 13 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 2.4.1-1mdv2009.0
+ Revision: 234268
- update to new version 2.4.1
- fix typo in patch name

* Mon Jun 23 2008 Oden Eriksson <oeriksson@mandriva.com> 2.4.0-2mdv2009.0
+ Revision: 227987
- rebuilt due to PayloadIsLzma problems

* Sat Jun 21 2008 Funda Wang <fwang@mandriva.org> 2.4.0-1mdv2009.0
+ Revision: 227692
- New version 2.4.0

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Thu May 29 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 2.3.11-1mdv2009.0
+ Revision: 212897
- update to new version 2.3.11
- enable support for libzo
- compile with system-wide libtasn1
- enable checks
- do not package COPYING file
- Patch0: add missing header

* Sat May 17 2008 Funda Wang <fwang@mandriva.org> 2.3.9-1mdv2009.0
+ Revision: 208538
- New version 2.3.9

* Wed May 07 2008 Funda Wang <fwang@mandriva.org> 2.3.8-1mdv2009.0
+ Revision: 202890
- New version 2.3.8

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - fix license tag (thanx Adam)

* Wed Feb 20 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.3.0-2mdv2008.1
+ Revision: 173245
- enable srp authentication, needed by mod_gnutls

* Mon Feb 18 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.3.0-1mdv2008.1
+ Revision: 171614
- new version
  drop signature file from sources (missing from mirrors)
  disable guile bindings explicitely

* Sat Jan 19 2008 Funda Wang <fwang@mandriva.org> 2.2.1-1mdv2008.1
+ Revision: 155052
- New version 2.2.1

* Sat Jan 12 2008 Funda Wang <fwang@mandriva.org> 2.2.0-1mdv2008.1
+ Revision: 149636
- BR opencdk 0.6.x
- WARNING: New major 13->26

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Nov 17 2007 Funda Wang <fwang@mandriva.org> 2.0.4-1mdv2008.1
+ Revision: 109266
- New version 2.0.4

* Sun Oct 28 2007 Funda Wang <fwang@mandriva.org> 2.0.2-1mdv2008.1
+ Revision: 102896
- New versino 2.0.2

* Tue Sep 18 2007 Funda Wang <fwang@mandriva.org> 2.0.0-2mdv2008.0
+ Revision: 89561
- Force rebuild

* Wed Sep 05 2007 Funda Wang <fwang@mandriva.org> 2.0.0-1mdv2008.0
+ Revision: 79694
- Correct license of library
- New version 2.0.0

* Thu Jul 12 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.6.3-1mdv2008.0
+ Revision: 51577
- disable rpath
- compile with gcrypt support
- new version
- new devel library policy


* Tue Jan 23 2007 Stew Benedict <sbenedict@mandriva.com> 1.6.1-1mdv2007.0
+ Revision: 112605
- 1.6.1
  drop P0 - merged upstream
  work around %%multiarch weirdness for multiple files

* Thu Nov 16 2006 Stew Benedict <sbenedict@mandriva.com> 1.4.5-1mdv2007.1
+ Revision: 85045
- Import gnutls

* Thu Nov 16 2006 Stew Benedict <sbenedict@mandriva.com> 1.4.5-1mdv2007.1
- 1.4.5

* Thu Sep 21 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.4.0-4mdv2007.0
- - Rebuild against ncurse

* Wed Sep 20 2006 Stew Benedict <sbenedict@mandriva.com> 1.4.0-3mdv2007.0
- P0: security fix for CVE-2006-4790

* Tue Sep 19 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.4.0-2mdv2007.0
- Rebuild

* Fri May 26 2006 Stew Benedict <sbenedict@mandriva.com> 1.4.0-1mdv2007.0
- 1.4.0

* Sat Apr 15 2006 Stew Benedict <sbenedict@mandriva.com> 1.0.25-4mdk
- P3: security fix for CVE-2006-0645

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.0.25-3mdk
- Rebuild

* Wed Jun 29 2005 Gtz Waschk <waschk@mandriva.org> 1.0.25-2mdk
- replace source 2 by patch 2 and update it for new liblzo

* Thu Jun 02 2005 Gtz Waschk <waschk@mandriva.org> 1.0.25-1mdk
- update patch 1
- update minilzo to 2.00
- new version

* Thu Feb 03 2005 Abel Cheung <deaddog@mandrake.org> 1.0.23-2mdk
- multiarch

* Wed Dec 22 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.0.23-1mdk
- 1.0.23
- fix %%libname_orig
- remove patent tainted SRP code (P1 from fedora)
- drop P0 (fixed upstream)
- fix summary-ended-with-dot

* Fri May 21 2004 Abel Cheung <deaddog@deaddog.org> 1.0.13-1mdk
- New version
- Patch0: automake 1.8 compatibility

* Tue Apr 06 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.10-1mdk
- new release

